package com.zcloud.service.hiddenDangerCheckStandard.impl;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.mapper.datasource.hiddenDangerCheckStandard.CustomItemMapper;
import com.zcloud.service.hiddenDangerCheckStandard.CustomItemService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 说明：清单管理-检查标准项目
 * 作者：luoxiaobao
 * 时间：2020-12-30
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class CustomItemServiceImpl implements CustomItemService {

	@Autowired
	private CustomItemMapper customItemMapper;


	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		customItemMapper.save(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception{
		customItemMapper.delete(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception{
		customItemMapper.edit(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return customItemMapper.datalistPage(page);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception{
		return customItemMapper.listAll(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception{
		return customItemMapper.findById(pd);
	}

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception{
		customItemMapper.deleteAll(ArrayDATA_IDS);
	}

	/**批量删除
	 * @param pd
	 * @throws Exception
	 */
	public void deleteList(PageData pd)throws Exception{
		customItemMapper.deleteList(pd);
	}

	@Override
	public List<PageData> getCheckItem(PageData pd)throws Exception {
		return customItemMapper.getCheckItem(pd);
	}

	/**获取隐患数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findHidden(PageData pd)throws Exception{
		return customItemMapper.findHidden(pd);
	}
}


